uboot: (firmwareOdroidC2/C4) don't invoke patch tool, use patches = [] instead

https://github.com/NixOS/nixpkgs/blob/master/pkgs/stdenv/generic/setup.sh#L948
this can do it nicely.

Signed-off-by: Anton Arapov <anton@deadbeef.mx>
This commit is contained in:
Anton Arapov 2021-04-03 12:58:10 +02:00 committed by Alan Daniels
commit 56de2bcd43
30691 changed files with 3076956 additions and 0 deletions

View file

@ -0,0 +1,9 @@
source $stdenv/setup
header "getting $url${rev:+ ($rev)} into $out"
hg clone --insecure "$url" hg-clone
hg archive -q$subrepoClause -y ${rev:+-r "$rev"} --cwd hg-clone $out
rm -f $out/.hg_archival.txt
stopNest

View file

@ -0,0 +1,29 @@
{ lib, stdenvNoCC, mercurial }:
{ name ? null
, url
, rev ? null
, md5 ? null
, sha256 ? null
, fetchSubrepos ? false
, preferLocalBuild ? true }:
if md5 != null then
throw "fetchhg does not support md5 anymore, please use sha256"
else
# TODO: statically check if mercurial as the https support if the url starts woth https.
stdenvNoCC.mkDerivation {
name = "hg-archive" + (if name != null then "-${name}" else "");
builder = ./builder.sh;
nativeBuildInputs = [mercurial];
impureEnvVars = lib.fetchers.proxyImpureEnvVars;
subrepoClause = if fetchSubrepos then "S" else "";
outputHashAlgo = "sha256";
outputHashMode = "recursive";
outputHash = sha256;
inherit url rev;
inherit preferLocalBuild;
}

View file

@ -0,0 +1,83 @@
#! /usr/bin/env bash
set -e
url=$1
rev=$2
expHash=$3
hashType="${NIX_HASH_ALGO:-sha256}"
hashFormat=${hashFormat:-"--base32"}
rev="${rev:-tip}"
LOG() {
echo "$@" >&2
}
die() {
LOG "$@"
exit 1
}
if [[ -z "$url" || "$url" == "--help" ]]; then
die "Usage: nix-prefetch-hg URL [rev [EXPECTED-HASH]]"
fi
if [[ "${fetchSubrepos:-0}" == 1 ]]; then
subrepoClause=S
else
subrepoClause=
fi
# If the hash was given, a file with that hash may already be in the
# store.
if [[ -n "$expHash" ]]; then
finalPath=$(nix-store --print-fixed-path --recursive "$hashType" "$expHash" hg-archive)
if ! nix-store --check-validity "$finalPath" 2> /dev/null; then
finalPath=
fi
hash="$expHash"
fi
# If we don't know the hash or a path with that hash doesn't exist,
# download the file and add it to the store.
if [[ -z "$finalPath" ]]; then
tmpPath="$(mktemp -d "${TMPDIR:-/tmp}/hg-checkout-tmp-XXXXXXXX")"
cleanup() { x=$?; rm -rf "$tmpPath"; exit $x; }; trap cleanup EXIT
tmpArchive="$tmpPath/hg-archive"
# Perform the checkout.
if [[ "$url" != /* ]]; then
tmpClone="$tmpPath/hg-clone"
hg clone -q -y -U "$url" "$tmpClone" >&2
else
tmpClone=$url
fi
hg archive -q$subrepoClause -y -r "$rev" --cwd "$tmpClone" "$tmpArchive"
rm -f "$tmpArchive/.hg_archival.txt"
LOG "hg revision is $(cd "$tmpClone"; hg id -r "$rev" -i)"
# Compute the hash.
hash=$(nix-hash --type "$hashType" "$hashFormat" "$tmpArchive")
if [[ -z "$QUIET" ]]; then LOG "hash is $hash"; fi
# Add the downloaded file to the Nix store.
finalPath=$(nix-store --add-fixed --recursive "$hashType" "$tmpArchive")
if [[ -n "$expHash" && "$expHash" != "$hash" ]]; then
die "ERROR: hash mismatch for URL \`$url'"
fi
fi
if [[ -z "$QUIET" ]]; then LOG "path is $finalPath"; fi
echo "$hash"
if [[ -n "$PRINT_PATH" ]]; then
echo "$finalPath"
fi